ALAS-2014-314


Amazon Linux AMI Security Advisory: ALAS-2014-314
Advisory Release Date: 2014-09-18 00:05 Pacific
Severity: Important

Issue Overview:

A denial of service flaw was found in the way the File Information (fileinfo) extension handled indirect rules. A remote attacker could use this flaw to cause a PHP application using fileinfo to crash or consume an excessive amount of CPU.

The gdImageCrop function in ext/gd/gd.c in PHP 5.5.x before 5.5.9 does not check return values, which allows remote attackers to cause a denial of service (application crash) or possibly have unspecified other impact via invalid imagecrop arguments that lead to use of a NULL pointer as a return value, a different vulnerability than CVE-2013-7226 .


Affected Packages:

php55


Issue Correction:
Run yum update php55 to update your system.

New Packages:
i686:
    php55-intl-5.5.10-1.67.amzn1.i686
    php55-tidy-5.5.10-1.67.amzn1.i686
    php55-snmp-5.5.10-1.67.amzn1.i686
    php55-common-5.5.10-1.67.amzn1.i686
    php55-embedded-5.5.10-1.67.amzn1.i686
    php55-imap-5.5.10-1.67.amzn1.i686
    php55-odbc-5.5.10-1.67.amzn1.i686
    php55-xmlrpc-5.5.10-1.67.amzn1.i686
    php55-cli-5.5.10-1.67.amzn1.i686
    php55-process-5.5.10-1.67.amzn1.i686
    php55-mbstring-5.5.10-1.67.amzn1.i686
    php55-pdo-5.5.10-1.67.amzn1.i686
    php55-5.5.10-1.67.amzn1.i686
    php55-devel-5.5.10-1.67.amzn1.i686
    php55-mcrypt-5.5.10-1.67.amzn1.i686
    php55-fpm-5.5.10-1.67.amzn1.i686
    php55-debuginfo-5.5.10-1.67.amzn1.i686
    php55-opcache-5.5.10-1.67.amzn1.i686
    php55-ldap-5.5.10-1.67.amzn1.i686
    php55-recode-5.5.10-1.67.amzn1.i686
    php55-gd-5.5.10-1.67.amzn1.i686
    php55-pgsql-5.5.10-1.67.amzn1.i686
    php55-gmp-5.5.10-1.67.amzn1.i686
    php55-bcmath-5.5.10-1.67.amzn1.i686
    php55-pspell-5.5.10-1.67.amzn1.i686
    php55-enchant-5.5.10-1.67.amzn1.i686
    php55-dba-5.5.10-1.67.amzn1.i686
    php55-xml-5.5.10-1.67.amzn1.i686
    php55-mysqlnd-5.5.10-1.67.amzn1.i686
    php55-mssql-5.5.10-1.67.amzn1.i686
    php55-soap-5.5.10-1.67.amzn1.i686

src:
    php55-5.5.10-1.67.amzn1.src

x86_64:
    php55-soap-5.5.10-1.67.amzn1.x86_64
    php55-xmlrpc-5.5.10-1.67.amzn1.x86_64
    php55-xml-5.5.10-1.67.amzn1.x86_64
    php55-pspell-5.5.10-1.67.amzn1.x86_64
    php55-intl-5.5.10-1.67.amzn1.x86_64
    php55-fpm-5.5.10-1.67.amzn1.x86_64
    php55-snmp-5.5.10-1.67.amzn1.x86_64
    php55-tidy-5.5.10-1.67.amzn1.x86_64
    php55-enchant-5.5.10-1.67.amzn1.x86_64
    php55-process-5.5.10-1.67.amzn1.x86_64
    php55-imap-5.5.10-1.67.amzn1.x86_64
    php55-pgsql-5.5.10-1.67.amzn1.x86_64
    php55-devel-5.5.10-1.67.amzn1.x86_64
    php55-ldap-5.5.10-1.67.amzn1.x86_64
    php55-mbstring-5.5.10-1.67.amzn1.x86_64
    php55-mysqlnd-5.5.10-1.67.amzn1.x86_64
    php55-odbc-5.5.10-1.67.amzn1.x86_64
    php55-bcmath-5.5.10-1.67.amzn1.x86_64
    php55-recode-5.5.10-1.67.amzn1.x86_64
    php55-mcrypt-5.5.10-1.67.amzn1.x86_64
    php55-common-5.5.10-1.67.amzn1.x86_64
    php55-pdo-5.5.10-1.67.amzn1.x86_64
    php55-gmp-5.5.10-1.67.amzn1.x86_64
    php55-gd-5.5.10-1.67.amzn1.x86_64
    php55-cli-5.5.10-1.67.amzn1.x86_64
    php55-embedded-5.5.10-1.67.amzn1.x86_64
    php55-dba-5.5.10-1.67.amzn1.x86_64
    php55-5.5.10-1.67.amzn1.x86_64
    php55-debuginfo-5.5.10-1.67.amzn1.x86_64
    php55-mssql-5.5.10-1.67.amzn1.x86_64
    php55-opcache-5.5.10-1.67.amzn1.x86_64